# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               sooperlooper
Version:            1.6.18
Release:            1.121
Summary:            Live Looping Sampler
Source:             http://essej.net/sooperlooper/sooperlooper-%{version}.tar.gz
URL:                http://essej.net/sooperlooper/
Group:              Productivity/Multimedia/Sound/Players
License:            GPL-2.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      wxWidgets-devel
BuildRequires:      alsa-devel
BuildRequires:      jack-devel
BuildRequires:      fftw3-devel
BuildRequires:      ncurses-devel
BuildRequires:      libsigc++12-devel
BuildRequires:      libsndfile-devel
BuildRequires:      libsamplerate-devel
BuildRequires:      liblo-devel
BuildRequires:      librubberband-devel
BuildRequires:      libxml2-devel
BuildRequires:      gcc-c++ make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files
BuildRequires:      ImageMagick

%description
SooperLooper is a live looping sampler capable of immediate loop recording,
overdubbing, multiplying, reversing and more. It allows for multiple
simultaneous multi-channel loops limited only by your computer's available
memory.

The application is a standalone JACK client with an engine controllable via OSC
and MIDI. It also includes a GUI which communicates with the engine via OSC
(even over a network) for user-friendly control on a desktop. However, this
kind of live performance looping tool is most effectively used via hardware
(midi footpedals, etc) and the engine can be run standalone on a computer
without a monitor. 

%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}

%install
%makeinstall

%__install -d "%{buildroot}%{_datadir}/pixmaps"
convert src/gui/pixmaps/sl_logo.xpm "%{buildroot}%{_datadir}/pixmaps/%{name}.png"
%suse_update_desktop_file -c "%{name}" SooperLooper Sampler slgui "%{name}" AudioVideo Audio Player
# DESKTOP_FILE_NAME NAME GENERICNAME EXECUTABLE \[ ICON CATEGORIES... \]


%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc COPYING OSC README
%{_bindir}/sooperlooper
%{_bindir}/slconsole
%{_bindir}/slgui
%{_bindir}/slregister
%dir %{_datadir}/sooperlooper
%dir %{_datadir}/sooperlooper/presets
%{_datadir}/sooperlooper/presets/*.slb
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Jul 16 2012 pascal.bleser@opensuse.org
- initial version (1.6.18)
